## org.eclipse.datatools.connectivity.sqm.core.rte.jdbc
Class JDBCProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.rte.jdbc.JDBCProvider

All Implemented Interfaces:
  ICatalogProvider

public class JDBCProvider
extends java.lang.Object
implements ICatalogProvider

Constructor Summary
`JDBCProvider(DatabaseDefinition definition)`

Method Summary
`Database` `getCatalogDatabase(java.sql.Connection connection)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCProvider

    public JDBCProvider(DatabaseDefinition definition)

Method Detail

### getCatalogDatabase

    public Database getCatalogDatabase(java.sql.Connection connection)

  Specified by:
    `getCatalogDatabase` in interface `ICatalogProvider`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.